/*
 Copyright 2009 Virginia Polytechnic Institute and State University  

 Licensed under the Apache License, Version 2.0 (the "License"); 
 you may not use this file except in compliance with the License. 
 You may obtain a copy of the License at 
 
 http://www.apache.org/licenses/LICENSE-2.0 

 Unless required by applicable law or agreed to in writing, software 
 distributed under the License is distributed on an "AS IS" BASIS, 
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 See the License for the specific language governing permissions and 
 limitations under the License. 
*/

/*! This header defines macros for printing to standard error out.  The macros
 * in this file should be used rather than printing to stderr with fprintf or
 * exiting with a hard-coded 'exit' call.
 */

#ifndef ERROR_H
#define ERROR_H

#include <cstdio>

#define ERROR(exit_code, ...) { \
    fprintf(stderr, __VA_ARGS__); \
    exit(exit_code); }

#define WARNING(...) fprintf(stderr, __VA_ARGS__)

#endif
